<template>
  <NuxtLayout>
    <NuxtPage :keepalive="true" />
  </NuxtLayout>

  <!-- 전역 로딩 오버레이 -->
  <GlobalLoading :show-details="true" />
</template>

<!-- <script setup lang="ts">
onMounted(() => {
  const script = document.createElement("script");
  script.src = "/dist/cy_custom.js";
  script.async = true;
  script.onload = () => {
    console.log("✅ cy_custom.js loaded");
  };
  script.onerror = () => {
    console.error("❌ Failed to load cy_custom.js");
  };
  document.head.appendChild(script);
});
</script> -->

<style>
@import "./assets/css/main.css";
</style>
